MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
TCPServerSocket Class Reference
Inheritance diagram for TCPServerSocket:
[legend]
Collaboration diagram for TCPServerSocket:
[legend]

## Public Member Functions
void | listen (int queue_length=8)
Public Member Functions inherited from TCPSocket
void | create ()
void | bind (u_int16_t port_begin, u_int16_t port_fence)
int | port ()
u_int32_t | addr ()
bool | initialized ()
bool | bound ()
virtual void | close ()

## Friends
class | TCPServerConnection

## Additional Inherited Members
Protected Attributes inherited from TCPSocket
int | socket_
int | port_
bool | initialized_
bool | bound_

The documentation for this class was generated from the following file:

- socket.h